## Index

### Type aliases

- IConstants
- IConstantsButtons
- IConstantsDownload
- IConstantsMenus
- IConstantsPanels
- ICustomDropdowns
- ICustomGeneral
- ICustomIcon
- ICustomList
- ICustomMenu

### Variables

- Constants

## Type aliases

### IConstants

IConstants: { download: IConstantsDownload; general: ICustomGeneral; menu: IConstantsMenus; panels: IConstantsPanels }

for each section in the ui u can customize labels, titles and icons all optional

#### Type declaration

- ##### download: IConstantsDownload

- ##### general: ICustomGeneral

- ##### menu: IConstantsMenus

- ##### panels: IConstantsPanels

### IConstantsButtons

IConstantsButtons: { add_to_cart: { label: string; visible: boolean }; download: { icon: ICustomIcon; label: string; visible: boolean }; fullscreen: { icon: ICustomIcon; label: string; visible: boolean }; fullscreen_exit: { icon: ICustomIcon; visible: boolean }; more: { icon: ICustomIcon; visible: boolean }; order_sample: { label: string; visible: boolean }; save_product: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }; save_scene: { icon: ICustomIcon; icon_selected: ICustomIcon; label: string; visible: boolean } }

#### Type declaration

- ##### add_to_cart: { label: string; visible: boolean }

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### download: { icon: ICustomIcon; label: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### fullscreen: { icon: ICustomIcon; label: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### fullscreen_exit: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### more: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### order_sample: { label: string; visible: boolean }

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### save_product: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### save_scene: { icon: ICustomIcon; icon_selected: ICustomIcon; label: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

### IConstantsDownload

IConstantsDownload: { copyright: { label: string; visible: boolean }; logo: { icon: ICustomIcon; visible: boolean } }

#### Type declaration

- ##### copyright: { label: string; visible: boolean }

  - ##### label: string

    the label of the copyright in the download page

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### logo: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

### IConstantsMenus

IConstantsMenus: { favorites: ICustomMenu; hotspots: ICustomMenu; scenes: ICustomMenu }

#### Type declaration

- ##### favorites: ICustomMenu

- ##### hotspots: ICustomMenu

- ##### scenes: ICustomMenu

### IConstantsPanels

IConstantsPanels: { favorites: { icon: ICustomIcon; products: { label: string; visible: boolean }; scenes: { label: string; visible: boolean }; title: string; visible: boolean }; hotspots: { visible: boolean }; products: { icon: ICustomIcon; visible: boolean }; scenes: { icon: ICustomIcon; title: string; visible: boolean } }

#### Type declaration

- ##### favorites: { icon: ICustomIcon; products: { label: string; visible: boolean }; scenes: { label: string; visible: boolean }; title: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### products: { label: string; visible: boolean }

    the products button in the favorite panel

    - ##### label: string

      the label of the products button in the favorite panel

    - ##### visible: boolean

      will hide/show the ui element - default: true

  - ##### scenes: { label: string; visible: boolean }

    the scenes button in the favorite panel

    - ##### label: string

      the label of the scenes button in the favorite panel

    - ##### visible: boolean

      will hide/show the ui element - default: true

  - ##### title: string

    the title of the favorite panel

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### hotspots: { visible: boolean }

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### products: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### scenes: { icon: ICustomIcon; title: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### title: string

    the title of the scenes panel

  - ##### visible: boolean

    will hide/show the ui element - default: true

### ICustomDropdowns

ICustomDropdowns: { check_container: { icon: ICustomIcon; icon_selected: ICustomIcon }; trigger: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean } }

#### Type declaration

- ##### check_container: { icon: ICustomIcon; icon_selected: ICustomIcon }

  the square of the checkbox

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

- ##### trigger: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }

  the dropdown trigger

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

### ICustomGeneral

ICustomGeneral: { buttons: IConstantsButtons; dropdowns: ICustomDropdowns; list: ICustomList; loader: { icon: ICustomIcon } }

#### Type declaration

- ##### buttons: IConstantsButtons

- ##### dropdowns: ICustomDropdowns

- ##### list: ICustomList

- ##### loader: { icon: ICustomIcon }

  - ##### icon: ICustomIcon

### ICustomIcon

ICustomIcon: { svg: string; url: string }

#### Type declaration

- ##### svg: string

  param

    a stringified svg

- ##### url: string

  param

    the url/path to an svg

### ICustomList

ICustomList: { scroll: { arrow: { icon: ICustomIcon } } }

#### Type declaration

- ##### scroll: { arrow: { icon: ICustomIcon } }

  - ##### arrow: { icon: ICustomIcon }

    - ##### icon: ICustomIcon

### ICustomMenu

ICustomMenu: { icon: ICustomIcon; label: string; visible: boolean }

#### Type declaration

- ##### icon: ICustomIcon

- ##### label: string

  the label of the menu item

- ##### visible: boolean

  will hide/show the ui element - default: true

## Variables

### Const Constants

Constants: IConstants = ExternalConstantsSample

Generated using TypeDoc